=== src/debian/changelog ===
snander (1.7.8-1) UNRELEASED; urgency=medium

  * Update libusb version to v1.0.26.
  * Add -k option to skip BAD blocks or pages when reading and writing NAND flash.
  * Add P25D05H/P25D10H/P25D20H/P25D40H/P25D80H/PY25Q128HA SPI NOR Flash support.
  * Add NM25Q32E/NM25Q64E/NM25Q128E/NM25L256F SPI NOR Flash support.
  * Add FORESEE FS35ND01GS1Y2 SPI NAND Flash support.
  * Add DS DS35M1GA/DS35M2GA SPI NAND Flash support.
  * Add ESMT F50D1G41LB(2M) SPI NAND Flash support.
  * Add MXIC MX35LF2G14AC SPI NAND Flash support.
  * Add WINBOND W25N01GW SPI NAND Flash support.
  * Fix when SPI_NAND_FLASH_DEBUG is enabled.

 -- McMCC <mcmcc@mail.ru>  Mon, 5 Jun 2023 10:36:12 +0800
