=== src/debian/control ===
Source: snander
Priority: optional
Maintainer: McMCC <mcmcc@mail.ru>
Build-Depends: debhelper (>= 9)
Standards-Version: 1.7.8
Section: electronics
Vcs-Git: https://github.com/McMCCRU/SNANDer.git
Vcs-Browser: https://github.com/McMCCRU/SNANDer

Package: snander
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: SNANDer - Serial Nor/nAND/Eeprom programmeR (based on CH341A)
